#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.1.8
visibility:           public
id:                   wai-extra-3.1.8-6iPSCc8kNZzJO1rpZHZvvW
key:                  wai-extra-3.1.8-6iPSCc8kNZzJO1rpZHZvvW
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  95e628c2b1b01266247a4e685938a6b1
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RealIp Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.RequestSizeLimit
    Network.Wai.Middleware.RequestSizeLimit.Internal
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/wai-extra-3.1.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/wai-extra-3.1.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/wai-extra-3.1.8
hs-libraries:         HSwai-extra-3.1.8-6iPSCc8kNZzJO1rpZHZvvW
depends:
    HUnit-1.6.2.0-1c8kXLKnY7EBi2jhlb9aLX
    aeson-1.5.6.0-3PljWJa2Pu9KzqlW9o5tiU
    ansi-terminal-0.11-EGqiRilu5fLIxBsfMBVBk8 base-4.15.1.0
    base64-bytestring-1.2.1.0-AzfEvp1M6xqC4wkQtPMB89
    bytestring-0.10.12.1 call-stack-0.4.0-2AMi71o7HA68VznaEbeuDV
    case-insensitive-1.2.1.0-4AL76C1hU7h9DcM82aDzNZ containers-0.6.4.1
    cookie-0.4.5-B1GcTZOCb6yBzxFcoqFiFA
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO directory-1.3.6.2
    fast-logger-3.0.5-8DBHARENjGq3bgGxyRYI49
    http-types-0.12.3-9Uvs22j5d3n7gOEM6LGSbZ
    http2-3.0.2-j1rJRklg5VKXqnIWJTpg3
    iproute-1.7.12-5OYMJ79Q38mKyms7hQCtuR
    network-3.1.2.7-Kx316NzoiDbGjNcAjPTyQs
    resourcet-1.2.4.3-IYdbpd4XI0dEE8sxS3PVDo
    streaming-commons-0.2.2.2-BJwC9Gf0E5yI0EiAxGqXTa text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    vault-0.3.1.5-C97QG1nNXYuCUbbO9NTeq0
    wai-3.2.3-3zrviNEW7ZD95Q047st2w3
    wai-logger-2.3.7-BqTlLEwmU3c9UghWkMxwbE
    word8-0.1.3-AazxEC5xyKiELvx3OUlEW

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

